PETSc version 3.15.5
Fix/Edit manual page

# TSMonitorLGGetVariableNames

Gets the name of each component in the solution vector so that it may be displayed in the plot

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGGetVariableNames(TS ts,const char *const **names)

Collective on TS

### Input Parameter

| ts | - the TS context

### Output Parameter

| names | - the names of the components, final string must be NULL

### Notes

If the TS object does not have a TSMonitorLGCtx associated with it then this function is ignored

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorLGSetDisplayVariables()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/tutorials/extchemfield.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages